Last Comment Bug 419379 - delete message doesn't work if focus in header of message preview pane
: delete message doesn't work if focus in header of message preview pane
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: All All
: -- minor (vote)
: seamonkey2.0a1
Assigned To: Bruno 'Aqualon' Escherl
:
Mentors:
Depends on:
Blocks: 49323
  Show dependency treegraph
 
Reported: 2008-02-24 19:07 PST by Wayne Mery (:wsmwk, NI for questions)
Modified: 2008-07-28 14:15 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Make delete button work again v1 (6.27 KB, patch)
2008-02-26 14:24 PST, Bruno 'Aqualon' Escherl
mnyromyr: review-
neil: superreview+
Details | Diff | Review
Make the delete button work in all places (8.70 KB, patch)
2008-03-02 14:16 PST, Bruno 'Aqualon' Escherl
mnyromyr: review+
neil: superreview+
Details | Diff | Review

Description Wayne Mery (:wsmwk, NI for questions) 2008-02-24 19:07:26 PST
click in header portion of of message pane, delete message doesn't work if focus in header of message preview pane.  Tested in SM trunk in follow up to bug 122854.

doesn't happen in thunderbird.
Comment 1 Bruno 'Aqualon' Escherl 2008-02-25 13:49:01 PST
Thunderbird has the same problem. When you click at one of the lines where you get a caret (e.g. Subject) delete message isn't working anymore.

When you click somewhere else in the header pane with no caret, delete works fine.

It works fine in SM 1.1.8 so it's a regression somewhere during trunk development.

Comment 2 Bruno 'Aqualon' Escherl 2008-02-25 15:13:23 PST
There are two problem, the first one is that delete key is not working. I don't know so far when that was introduced, but it's definitely a while ago (didn't work in a 2007-07-01 build I tested).

The second problem, that the delete button isn't working was introduced by the change in bug 49323 (but I don't know what's the reason so far).
Comment 3 Bruno 'Aqualon' Escherl 2008-02-25 16:19:58 PST
http://bonsai.mozilla.org/cvsblame.cgi?file=/mozilla/toolkit/content/globalOverlay.js&rev=1.34&mark=85#81

In the cmd_delete case with the caret, .getControllerForCommand(aCommand) doesn't get called and hence isCommandEnabled(aCommand) is false.

I don't know why this works in the cmd_shiftDelete case and not here, so any hints are appreciated.
Comment 4 Bruno 'Aqualon' Escherl 2008-02-26 08:17:17 PST
(In reply to comment #1)
> It works fine in SM 1.1.8 so it's a regression somewhere during trunk
> development.
Don't know what I tested today, but that's not working in branch too. So no regression.
Comment 5 Bruno 'Aqualon' Escherl 2008-02-26 14:24:14 PST
Created attachment 305846 [details] [diff] [review]
Make delete button work again v1

The patch brings back the button_delete command removed in bug 391701 and also introduces button_shiftDelete to retain the fix from bug 49323.

The problem with the cmd_delete usage for the delete button is probably, that cmd_delete is blocked somewhere in libeditor, when a readonly textfield in the header pane has focus.

With the patch the delete button always works and the delete key works at least for those cases, where the focus isn't in a readonly textfield of the header pane.
Comment 6 Karsten Düsterloh 2008-02-29 06:42:22 PST
Comment on attachment 305846 [details] [diff] [review]
Make delete button work again v1

This does not suffice:
- open a standalone message window
- hit delete button there
=> doesn't work
Comment 7 Bruno 'Aqualon' Escherl 2008-03-02 14:16:40 PST
Created attachment 306928 [details] [diff] [review]
Make the delete button work in all places

I forgot the standalone message window before (thx Karsten for spotting), so the patch is v1 + the change in messageWindow.js
Comment 8 Reed Loden [:reed] (use needinfo?) 2008-03-10 11:58:49 PDT
Checking in mailnews/base/resources/content/mail3PaneWindowCommands.js;
/cvsroot/mozilla/mailnews/base/resources/content/mail3PaneWindowCommands.js,v  <--  mail3PaneWindowCommands.js
new revision: 1.157; previous revision: 1.156
done
Checking in mailnews/base/resources/content/mailWindowOverlay.xul;
/cvsroot/mozilla/mailnews/base/resources/content/mailWindowOverlay.xul,v  <--  mailWindowOverlay.xul
new revision: 1.350; previous revision: 1.349
done
Checking in mailnews/base/resources/content/messageWindow.js;
/cvsroot/mozilla/mailnews/base/resources/content/messageWindow.js,v  <--  messageWindow.js
new revision: 1.119; previous revision: 1.118
done
Comment 9 Wayne Mery (:wsmwk, NI for questions) 2008-06-26 10:51:52 PDT
delete key fails in 3-pane 
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9pre) Gecko/2008061702 SeaMonkey/2.0a1pre

ditto thunderbird trunk
Comment 10 Bruno 'Aqualon' Escherl 2008-06-29 06:25:39 PDT
WFM in Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.0.1pre) Gecko/2008062915 SeaMonkey/2.0a1pre

Wayne, can you give further instructions when it fails for you?
Comment 11 Wayne Mery (:wsmwk, NI for questions) 2008-06-29 06:59:35 PDT
safe-mode

click at end of subject in header so that caret appears (either expanded or normal headers), hit windows delete key.

similar problem: selecting text in header, and delete doesn't work

iirc, in these use case, delete button has worked when delete key hasn't. In this chase however, delete button does NOT work. So perhaps this is now a different bug?
Comment 12 Wayne Mery (:wsmwk, NI for questions) 2008-06-29 07:09:11 PDT
comment 11 was thunderbird

SM behavior slightly different - delete button WORKS, delete key doesn't. retested with Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.1pre) Gecko/2008062902 SeaMonkey/2.0a1pre
Comment 13 Bruno 'Aqualon' Escherl 2008-07-13 09:56:28 PDT
Ok, then thunderbird doesn't have this patch. With it at least the delete button would work again.

The other problem was already outlined by me in comment #5, but that's definitely outside my knowledge and I don't know if and what can be done in that cases.
Comment 14 Bruno 'Aqualon' Escherl 2008-07-26 14:16:18 PDT
I opened bug 448146 for the delete button issue in TB.

If someone has an idea about the the delete key not working when the focus is in the header pane, please open a new bug.

-> RESOLVED FIXED

Note You need to log in before you can comment on or make changes to this bug.